Initial import

This commit is contained in:
Lucas 2019-09-11 02:11:40 +00:00
commit 3779fdce2c
48 changed files with 2012 additions and 0 deletions

BIN
utils/bg/FreeHugsBSD.png Normal file

Binary file not shown.

After

Width:  |  Height:  |  Size: 536 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.2 MiB

View file

@ -0,0 +1,34 @@
#!/bin/sh
# env
# Written in 2019 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
: ${CANVAS_BGCOLOR:="#0d0a00"}
: ${CANVAS_HEIGHT:=768}
: ${CANVAS_WIDTH:=1366}
: ${IMAGE_HEIGHT:=500}
: ${IMAGE_WIDTH:=500}
pos_x=$(($CANVAS_WIDTH - $IMAGE_WIDTH))
pos_y=$((($CANVAS_HEIGHT - $IMAGE_HEIGHT) / 2))
if ! tmpfile=$(mktemp -t bg.XXXXXXXXXX); then
printf "%s: Can't create temporary file.\n" "${0##*/}" >&2
exit 1
fi
trap 'rm -f "$tmpfile"' EXIT INT QUIT TERM
pngtopam -alphapam FreeHugsBSD.png \
| pamscale -width="$IMAGE_WIDTH" -height="$IMAGE_HEIGHT" \
>"$tmpfile"
ppmmake "$CANVAS_BGCOLOR" "$CANVAS_WIDTH" "$CANVAS_HEIGHT" \
| pamcomp -xoff="$pos_x" -yoff="$pos_y" "$tmpfile" \
| pamtopng >FreeHugsBSD-bg.png

View file

@ -0,0 +1,34 @@
#!/bin/sh
# env
# Written in 2019 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
: ${CANVAS_BGCOLOR:="#0d0a00"}
: ${CANVAS_HEIGHT:=768}
: ${CANVAS_WIDTH:=1366}
: ${IMAGE_HEIGHT:=768}
: ${IMAGE_WIDTH:=1080}
pos_x=$((($CANVAS_WIDTH - $IMAGE_WIDTH) / 2))
pos_y=$((($CANVAS_HEIGHT - $IMAGE_HEIGHT) / 2))
if ! tmpfile=$(mktemp -t bg.XXXXXXXXXX); then
printf "%s: Can't create temporary file.\n" "${0##*/}" >&2
exit 1
fi
trap 'rm -f "$tmpfile"' EXIT INT QUIT TERM
pngtopam -alphapam cyberia-cafe-club.png \
| pamscale -width="$IMAGE_WIDTH" -height="$IMAGE_HEIGHT" \
>"$tmpfile"
ppmmake "$CANVAS_BGCOLOR" "$CANVAS_WIDTH" "$CANVAS_HEIGHT" \
| pamcomp -xoff="$pos_x" -yoff="$pos_y" "$tmpfile" \
| pamtopng >cyberia-cafe-club-bg.png

View file

@ -0,0 +1,28 @@
# env
# Written in 2019 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
.POSIX:
.SUFFIXES:
.SUFFIXES: .sh
BIN= attach detach trunk_urndis_hotplug
DEST= /etc/hotplug
all: $(BIN)
clean:
rm -f $(BIN)
install: all
cp $(BIN) $(DEST)
cd $(DEST) && chmod 555 $(BIN)
uninstall:
cd $(DEST) && rm -f $(BIN)

View file

@ -0,0 +1,26 @@
#!/bin/sh
# env
# Written in 2019 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
DEVCLASS=$1
DEVNAME=$2
case $DEVCLASS in
3) case $DEVNAME in
urndis*)
if [ -x /etc/hotplug/trunk_urndis_hotplug ]; then
/etc/hotplug/trunk_urndis_hotplug \
attach trunk0 "$DEVNAME"
fi
;;
esac
;;
esac

View file

@ -0,0 +1,26 @@
#!/bin/sh
# env
# Written in 2019 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
DEVCLASS=$1
DEVNAME=$2
case $DEVCLASS in
3) case $DEVNAME in
urndis*)
if [ -x /etc/hotplug/trunk_urndis_hotplug ]; then
/etc/hotplug/trunk_urndis_hotplug \
detach trunk0 "$DEVNAME"
fi
;;
esac
;;
esac

View file

@ -0,0 +1,49 @@
#!/bin/sh
# env
# Written in 2019 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
usage() {
cat - <<. >&2
Usage:
${0##*/} attach TRUNK_DEV URNDIS_DEV
${0##*/} detach TRUNK_DEV URNDIS_DEV
.
exit 1
}
renew_dhcp_if_needed() {
iface=$1
hostname_if=/etc/hostname."$iface"
[ ! -r "$hostname_if" ] && return
while read -r line; do
[ "$line" = dhcp ] && dhclient "$iface" && break
done <"$hostname_if"
}
if [ $# -ne 3 ] || [ -z "$1" ] || [ -z "$2" ] || [ -z "$3" ]; then
usage
fi
cmd=$1
trunk=$2
urndis=$3
case $cmd in
attach) ifconfig "$urndis" up
ifconfig "$trunk" trunkport "$urndis"
renew_dhcp_if_needed "$trunk"
;;
detach) # $urndis could be already removed
ifconfig "$trunk" -trunkport "$urndis" 2>/dev/null || true
renew_dhcp_if_needed "$trunk"
;;
*) usage
;;
esac

49
utils/shgit Normal file
View file

@ -0,0 +1,49 @@
# env
# Written in 2019 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
shgit() {
if ! gitdir=$(git rev-parse --git-dir 2>/dev/null) \
|| [ -z "$gitdir" ]; then
return
fi
symbolic=$(git symbolic-ref --short HEAD 2>/dev/null)
hash=$(git rev-parse --short HEAD 2>/dev/null)
name=${symbolic:-${hash:-"?"}}
rb=
rbdir="$gitdir/rebase-merge"
if [ -d "$rbdir" ]; then
rb="REBASE"
read -r name <"$rbdir/head-name"
name=${name##*/}
[ -f "$rbdir/interactive" ] && rb="$rb-i"
rbcount=$(wc -l <"$rbdir/done")
read -r rbtotal <"$rbdir/end"
rb="$rb ${rbcount##* }/$rbtotal"
fi
status=
if [ -z "$(git status --porcelain)" ]; then
status="*"
fi
commits=$(git rev-list --left-right --count @{upstream}...HEAD \
2>/dev/null | {
t=
IFS=" " read -r behind ahead
[ ${behind:-0} -gt 0 ] && t=$t"v$behind"
[ ${ahead:-0} -gt 0 ] && t=$t"^$ahead"
printf "%s" "$t"
})
printf "%s" "$name${rb:+:$rb}${status:+:$status}${commits:+:$commits}"
}

29
utils/termcolors.sh Normal file
View file

@ -0,0 +1,29 @@
#!/bin/sh
# env
# Written in 2019 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
printf " fg on bg "
for i in 0 1 2 3 4 5 6 7; do
tput setab $i 0 0
printf " "
done
printf "\n"
tput sgr0
tput rev
printf " bg on fg "
tput sgr0
for i in 0 1 2 3 4 5 6 7; do
tput setab $(($i + 8)) 0 0
printf " "
done
printf "\n"
tput sgr0